// creator  : weidu.exe (version 23100)
// argument : SEWSW.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SEWSW~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #27916 /* ~(The polluted pool takes on a faint glow.  An excited voice resounds within your head.)

At last! Find the keys, wielder! I've found a man lacking in worth, so he shall be my voice until I'm free.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #10509 /* ~Prove your worth and I shall submit to your mastery. Listen to the words of my jailor, who cast me off so that he might pass from this world:~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #25346 /* ~(The voice takes on a solemn tone)

Four locks are cast and made
Four wards will hold the blade
In what order shall thou place the keys?
Four deaths await thee
~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #10540 /* ~(The voice resumes its excited manner.)

When all was silent I crept from the slime and scratched rhymes for you. Vallah forbade it and hid me, but he is dead, so I've ignored him.~ */
  IF ~~ THEN REPLY #10543 /* ~What is going on here? Who are you?~ */ GOTO 4
  IF ~~ THEN REPLY #10544 /* ~Something isn't as it seems. Get out of my skull and leave me be!~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #10545 /* ~(The voice laughs.)

I can't reveal all. Prove your worth -- find Quallo. We shall speak through that vessel. Be careful! The wards must be broken in the proper order.~ */
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Viconia")~ THEN DO ~SetGlobal("TalkedToSewsw","GLOBAL",1)
~ UNSOLVED_JOURNAL #2147 /* ~Solve the riddle in the sewers.

The voice from the sewers has told me that the wards to get the magical sword must be broken in the proper order.  Also, it appears that if I make a mistake, I must start all over again from the beginning.~ */ EXIT
  IF ~IsValidForPartyDialog("Jaheira")~ THEN UNSOLVED_JOURNAL #2147 /* ~Solve the riddle in the sewers.

The voice from the sewers has told me that the wards to get the magical sword must be broken in the proper order.  Also, it appears that if I make a mistake, I must start all over again from the beginning.~ */ EXTERN ~JAHEIRAJ~ 355
  IF ~!IsValidForPartyDialog("Jaheira")
IsValidForPartyDialog("Jan")~ THEN UNSOLVED_JOURNAL #2147 /* ~Solve the riddle in the sewers.

The voice from the sewers has told me that the wards to get the magical sword must be broken in the proper order.  Also, it appears that if I make a mistake, I must start all over again from the beginning.~ */ EXTERN ~JANJ~ 94
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Viconia")~ THEN UNSOLVED_JOURNAL #2147 /* ~Solve the riddle in the sewers.

The voice from the sewers has told me that the wards to get the magical sword must be broken in the proper order.  Also, it appears that if I make a mistake, I must start all over again from the beginning.~ */ EXTERN ~VICONIJ~ 38
END

IF ~~ THEN BEGIN 5 // from: 3.1
  SAY #28026 /* ~(The voice laughs)

Prove your worth -- find Quallo. We shall speak through that vessel. Beware! Fail to break the wards in the proper order and you must start again.~ */
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Viconia")~ THEN DO ~SetGlobal("TalkedToSewsw","GLOBAL",1)~ JOURNAL #2147 /* ~Solve the riddle in the sewers.

The voice from the sewers has told me that the wards to get the magical sword must be broken in the proper order.  Also, it appears that if I make a mistake, I must start all over again from the beginning.~ */ FLAGS 128 EXIT
  IF ~IsValidForPartyDialog("Jaheira")~ THEN UNSOLVED_JOURNAL #2147 /* ~Solve the riddle in the sewers.

The voice from the sewers has told me that the wards to get the magical sword must be broken in the proper order.  Also, it appears that if I make a mistake, I must start all over again from the beginning.~ */ EXTERN ~JAHEIRAJ~ 355
  IF ~!IsValidForPartyDialog("Jaheira")
IsValidForPartyDialog("Jan")~ THEN UNSOLVED_JOURNAL #2147 /* ~Solve the riddle in the sewers.

The voice from the sewers has told me that the wards to get the magical sword must be broken in the proper order.  Also, it appears that if I make a mistake, I must start all over again from the beginning.~ */ EXTERN ~JANJ~ 94
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Viconia")~ THEN UNSOLVED_JOURNAL #2147 /* ~Solve the riddle in the sewers.

The voice from the sewers has told me that the wards to get the magical sword must be broken in the proper order.  Also, it appears that if I make a mistake, I must start all over again from the beginning.~ */ EXTERN ~VICONIJ~ 38
END

IF ~Global("TalkedToSewsw","GLOBAL",1)
~ THEN BEGIN 6 // from:
  SAY #28030 /* ~(The water glows but the voice is silent. You notice words scratched into the rust of the four pipes that dominate the room.)~ */
  IF ~~ THEN EXIT
END
